# $Revision: 1.242 $, $Date: 2011/05/20 19:38:37 $
# TODO
# - add codepress (http://codepress.org/index.php) patch
Summary:	phpMyAdmin - web-based MySQL administration
Summary(pl.UTF-8):	phpMyAdmin - administracja bazami MySQL przez WWW
Name:		phpMyAdmin
Version:	3.3.10.1
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	http://downloads.sourceforge.net/phpmyadmin/%{name}-%{version}-all-languages.tar.bz2
# Source0-md5:	ce9c73c1c46970ee7cf3cc88e0d4eb73
Source1:	%{name}.conf
Source2:	%{name}-lighttpd.conf
Patch0:		%{name}-config.patch
Patch1:		%{name}-ServerSelectDisplayName.patch
Patch2:		%{name}-ServerSelectDisplayName-config.patch
URL:		http://www.phpmyadmin.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
Requires:	php-common >= 4:5.2
Requires:	php-ctype
Requires:	php-mbstring
Requires:	php-mcrypt
Requires:	php-mysql
Requires:	php-pcre
Requires:	php-session
Requires:	php-simplexml
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Suggests:	php-mysqli
Suggests:	webserver(indexfile)
Suggests:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
- create and drop databases
- create, copy, drop and alter tables
- delete, edit and add fields
- execute any SQL-statement, even batch-queries
- manage keys on fields
- load text files into tables
- create (*) and read dumps of tables
- export (*) and import data to CSV values
- administer multiple servers and single databases
- check referencial integrity
- create complex queries automatically connecting required tables
- create PDF graphics of your database layout
- communicate in more than 50 different languages

%description -l pl.UTF-8
phpMyAdmin potrafi zarządzać całymi bazami MySQL (potrzebne
uprawnienia superużytkownika) jak i pojedynczymi bazami danych.
Potrzebny jest użytkownik, który ma prawa zapisu/odczytu tylko tych
baz, którymi chcemy administrować (więcej informacji w odpowiedniej
podręcznika MySQL). Aktualnie phpMyAdmin potrafi:
- tworzyć i usuwać bazy
- wykonywać create, copy, drop oraz alter na tabelach
- dodawać, usuwać i modyfikować pola
- wykonywać dowolne zapytania SQL
- zarządzać kluczami na rekordach
- wczytywać tekst z plików do tabel
- obsługiwać ponad 20 języków
- zarządzać wieloma serwerami i pojedynczymi bazami danych
- eksportować i importować dane do wartości CSV
- tworzyć i czytać zrzuty tabel

%prep
%setup -q -n %{name}-%{version}-all-languages
%patch0 -p1
%patch1 -p0
%patch2 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/{js,lang,libraries/{auth/swekey,dbg,dbi,engines,export,tcpdf/font,import,transformations}}}

install *.php *.html *.css $RPM_BUILD_ROOT%{_appdir}
install lang/*.php $RPM_BUILD_ROOT%{_appdir}/lang
cp -rf pmd $RPM_BUILD_ROOT%{_appdir}
cp -rf themes $RPM_BUILD_ROOT%{_appdir}
cp -rf js $RPM_BUILD_ROOT%{_appdir}
install libraries/*.php $RPM_BUILD_ROOT%{_appdir}/libraries
install libraries/auth/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/auth
install libraries/auth/swekey/*.{php,crt} $RPM_BUILD_ROOT%{_appdir}/libraries/auth/swekey
install libraries/dbg/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/dbg
install libraries/dbi/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/dbi
install libraries/engines/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/engines
install libraries/export/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/export
install libraries/import/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/import
install libraries/tcpdf/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/tcpdf
install libraries/tcpdf/font/*.{php,z} $RPM_BUILD_ROOT%{_appdir}/libraries/tcpdf/font
install libraries/transformations/*.php $RPM_BUILD_ROOT%{_appdir}/libraries/transformations

install libraries/config.default.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
ln -sf %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/config.inc.php

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

cp -f libraries/import/README{,-import}
cp -f libraries/transformations/README{,-transformations}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc Documentation.* CREDITS ChangeLog INSTALL README TODO translators.html scripts libraries/import/README-import libraries/transformations/README-transformations libraries/transformations/TEMPLATE* libraries/transformations/*.sh lang/*.sh
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_appdir}
%{_appdir}/js
%{_appdir}/lang
%{_appdir}/libraries
%{_appdir}/pmd
%{_appdir}/themes
%{_appdir}/*.css
%{_appdir}/*.html
%{_appdir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phpMyAdmin.spec,v $
Revision 1.242  2011/05/20 19:38:37  dzeus
- up to 3.3.10.1
- fixes PMASA-2011-3 and PMASA-2011-4

Revision 1.241  2011/03/19 13:45:03  dzeus
- up to 3.3.10 (bugfixes)

Revision 1.240  2011/02/11 20:04:17  dzeus
- up to 3.3.9.2
- fixes PMASA-2011-2 (CWE-661, CWE-89)

Revision 1.239  2011/02/08 16:58:26  dzeus
- up to 3.3.9.1
- fixes PMASA-2011-1 (CWE-661, CWE-200)

Revision 1.238  2011/01/05 20:34:17  shadzik
- rel 2

Revision 1.237  2011/01/03 20:27:38  dzeus
- up to 3.3.9 (bugfixes)

Revision 1.236  2010/11/30 09:02:42  dzeus
- up to 3.3.8.1
- fixes PMASA-2010-8 (CVE-2010-4329)

Revision 1.235  2010/10/26 06:25:04  dzeus
- up to 3.3.8 (bugfixes)

Revision 1.234  2010/09/11 09:16:44  paszczus
- added R: php-simplexml

Revision 1.233  2010/09/09 12:07:56  dzeus
- up to 3.3.7 (bugfixes)

Revision 1.232  2010/08/31 18:10:19  dzeus
- up to 3.3.6 (bugfixes)

Revision 1.231  2010/08/20 12:48:25  dzeus
- up to 3.3.5.1
- fixes: PMASA-2010-4 (CVE-2010-3055), PMASA-2010-5 (CVE-2010-3056)

Revision 1.230  2010/07/26 20:36:08  dzeus
- up to 3.3.5 (bugfixes)

Revision 1.229  2010/06/28 12:42:11  dzeus
- up to 3.3.4 (bugfixes)

Revision 1.228  2010/05/10 17:18:08  dzeus
- up to 3.3.3 (bugfixes)

Revision 1.227  2010/04/14 12:46:22  dzeus
- up to 3.3.2 (bugfixes)

Revision 1.226  2010/03/16 14:21:56  dzeus
- up to 3.3.1 (bugfixes)

Revision 1.225  2010/03/08 20:36:07  duddits
- up to 3.3.0

Revision 1.224  2010/01/11 21:19:40  dzeus
- up to 3.2.5 (bugfixes)

Revision 1.223  2009/12/02 21:38:45  dzeus
- up to 3.2.4 (bugfixes)

Revision 1.222  2009/12/02 10:07:44  glen
- R: session; http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2009-December/021307.html; rel 4

Revision 1.221  2009/10/30 23:13:57  shadzik
- fixed conf
- rel 3

Revision 1.220  2009/10/30 22:58:25  shadzik
- rel 2

Revision 1.219  2009/10/30 22:57:03  shadzik
- no php application requires mod_php, so just suggest it, it's no requirement at all

Revision 1.218  2009/10/30 22:55:04  dzeus
- up to 3.2.3 (bugfixes)

Revision 1.217  2009/10/13 05:28:41  dzeus
- up to 3.2.2.1 (PMASA-2009-6)

Revision 1.216  2009/09/13 12:42:24  dzeus
- up to 3.2.2 (bugfixes)

Revision 1.215  2009/08/10 06:41:48  dzeus
- up to 3.2.1 (bugfixes & new language: Uzbek)

Revision 1.214  2009/07/01 05:40:27  dzeus
- up to 3.2.0.1 (fixed PMASA-2009-5)

Revision 1.213  2009/06/15 21:00:32  dzeus
- up to 3.2.0 (bugfixes & small new features)

Revision 1.212  2009/05/15 19:39:01  dzeus
- up to 3.1.5 (bugfixes)

Revision 1.211  2009/04/25 12:51:02  dzeus
- up to 3.1.4 (bugfixes)

Revision 1.210  2009/04/14 19:02:46  paszczus
- updated to 3.1.3.2, fixes CVE-2009-1285

Revision 1.209  2009/03/26 13:06:08  duddits
- up to 3.1.3.1
- fixes: PMASA-2009-1, PMASA-2009-2, PMASA-2009-3

Revision 1.208  2009/02/28 14:35:24  dzeus
- up to 3.1.3 (bugfixes)

Revision 1.207  2009/01/19 20:58:38  dzeus
- up to 3.1.2 (bugfixes)

Revision 1.206  2008/12/10 07:17:01  paszczus
- updated to 3.1.1 (security fix: PMASA-2008-10)

Revision 1.205  2008/12/08 11:47:44  dzeus
- added missing dir: libraries/auth/swekey

Revision 1.204  2008/12/02 09:35:01  duddits
- up to 3.1.0

Revision 1.203  2008/10/31 07:22:53  paszczus
- updated to 3.0.1.1 [security] XSS in a Designer component

Revision 1.202  2008/10/23 08:14:09  paszczus
- updated to 3.0.1

Revision 1.201  2008/10/01 15:26:22  qboosh
- reverted mess

Revision 1.200  2008/10/01 10:04:08  glen
- ... so really depend on php 5.2+

Revision 1.199  2008/10/01 09:13:37  blues
- they say that php5.2 is required

Revision 1.198  2008/10/01 07:24:36  adamg
- updated to 3.0.0

Revision 1.197  2008/09/23 06:37:19  paszczus
- updated to 2.11.9.2 [security] XSS in MSIE using NUL byte

Revision 1.196  2008/09/16 07:16:18  paszczus
- updated to 2.11.9.1 (security update)

Revision 1.195  2008/09/11 17:51:19  qboosh
- ordered again

Revision 1.194  2008/09/11 06:33:14  glen
- mysqli cames with php5

Revision 1.193  2008/09/10 22:52:49  gotar
- S: php-mysqli

Revision 1.192  2008/08/29 08:50:46  paszczus
- updated to 2.11.9

Revision 1.191  2008/08/18 23:13:09  jezik
- ServerSelectDisplayName

Revision 1.190  2008/07/28 21:11:32  adamg
- updated to 2.11.8.1

Revision 1.189  2008/07/28 18:41:25  adamg
- updated to 2.11.8 (PMASA-2008-6)

Revision 1.188  2008/07/17 20:41:19  dzeus
- up to 2.11.7.1 [security] XSRF/CSRF by manipulating the db, convcharset and collation_connection parameters

Revision 1.187  2008/06/23 20:02:56  adamg
- phpmyadmin.net security advisory reference

Revision 1.186  2008/06/23 19:51:33  adamg
- updated to 2.11.7 [PMASA-2008-4]

Revision 1.185  2008-05-18 20:39:16  blues
- have mercy - no banners for such a obvious thing....

Revision 1.184  2008-05-18 19:06:17  arvenil
- added S: webserver(indexfile)
- added banner with info how to access by deafult phpMyAdmin
- adapter
- release 3

Revision 1.183  2008-05-13 11:38:25  glen
- codepress todo

Revision 1.182  2008-05-08 20:49:10  dzeus
- rel. 2

Revision 1.181  2008-04-29 21:12:45  paszczus
- updated to 2.11.6

Revision 1.180  2008-04-28 13:50:13  blues
- require webserver(alias)

Revision 1.179  2008-04-27 19:24:27  glen
- typo

Revision 1.178  2008-04-27 19:22:51  blues
- lighttpd config

Revision 1.177  2008-04-23 20:40:49  dzeus
- up to 2.11.5.2 (PMASA-2008-3)

Revision 1.176  2008-03-30 12:51:45  glen
- release 2 (1 for ac)

Revision 1.175  2008-03-29 22:09:20  dzeus
- up to 2.11.5.1 (PMASA-2008-2)

Revision 1.174  2008-03-02 15:46:16  paszczus
- updated to 2.11.5 [security fixes; PMASA-2008-1]

Revision 1.173  2008-02-06 21:21:00  glen
- rel 3

Revision 1.172  2008-02-06 20:56:22  glen
- never use '<=' in trigger comparision (drop old triggers); rel 2

Revision 1.171  2008-01-12 19:56:16  dzeus
- up to 2.11.4 (bugfixes)

Revision 1.170  2007-12-14 20:12:52  dzeus
- up to 2.11.3 (bugfixes)

Revision 1.169  2007-11-21 21:00:15  adamg
- updated to 2.11.2.2 (PMSA-2007-8)

Revision 1.168  2007-11-11 15:42:27  adamg
- updated to 2.11.2.1 (PMSA-2007-7)

Revision 1.167  2007-10-28 18:25:08  dzeus
- up to 2.11.2 (bugfixes)

Revision 1.166  2007/10/22 21:56:30  dzeus
- up to 2.11.1.2, security fix (XSS vulnerabilities)

Revision 1.165  2007/09/23 07:36:52  dzeus
- up to 2.11.1 (bugfixes)

Revision 1.164  2007/08/22 18:24:24  adamg
- updated to 2.11.0

Revision 1.163  2007/07/29 11:02:46  gotar
- upgraded to 2.10.3 (bugfixes)

Revision 1.162  2007/06/07 13:20:25  gotar
- packaged designer files,
- added missing docs, updated desc, release 2

Revision 1.161  2007/04/25 20:31:09  dzeus
- up to 2.10.1 (fixed XSS vulnerabilities)

Revision 1.160  2007/04/11 05:22:38  qboosh
- cleanup

Revision 1.159  2007/04/10 21:40:58  shadzik
- R: php(mbstring) - it's quite a critical change :)
- rel 2

Revision 1.158  2007/03/02 23:00:50  dzeus
- up to 2.10.0.2 (workaround for PHP Executor Deep Recursion Stack Overflow)

Revision 1.157  2007/03/01 01:04:22  shadzik
- 2.10.0.1

Revision 1.156  2007/02/28 22:38:20  shadzik
- rel 2
- STBR

Revision 1.155  2007/02/28 22:37:08  shadzik
- R: php(ctype)

Revision 1.154  2007/02/28 04:47:59  shadzik
- 2.10.0

Revision 1.153  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.152  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.151  2007/01/24 09:40:23  qboosh
- added some CVE notes to changelog

Revision 1.150  2007/01/18 21:24:52  dzeus
- up to 2.9.2 (security fixes)
[fixes CVE-2007-0095 CVE-2007-0203 CVE-2007-0204]

Revision 1.149  2006/11/21 19:44:52  glen
- rel 2: use php(extension) virtuals

Revision 1.148  2006/11/19 02:42:15  shadzik
- 2.9.1.1
[fixes CVE-2006-6942 CVE-2006-6943 CVE-2006-6944]

Revision 1.147  2006/11/09 15:49:01  shadzik
- 2.9.1
[fixes CVE-2006-5117]

Revision 1.146  2006/11/01 16:55:09  shadzik
- 2.9.0.3 [fixes CVE-2006-5718]
- new tarball (-all-languages)

Revision 1.145  2006/10/10 21:43:19  glen
- use webserver(access) virtual rather specific to apache 2.2

Revision 1.144  2006/10/10 20:06:26  blues
- apache config requires apache-mod_authz_host

Revision 1.143  2006/10/09 10:26:27  spider
- up to 2.9.0.2
- STBR

Revision 1.142  2006/10/02 15:22:05  dzeus
- security up to 2.9.0.1 - XSRF (Cross Site Request Forgery) vulnerabilities
[fixes CVE-2006-5116]

Revision 1.141  2006/10/01 20:02:21  glen
- rel 2

Revision 1.140  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.139  2006/09/24 22:27:24  shadzik
- up to 2.9.0

Revision 1.138  2006/09/01 21:50:21  dzeus
- up to 2.8.2.4

Revision 1.137  2006/08/20 14:09:48  hawk
- updated md5
- release 2

Revision 1.136  2006/08/14 17:23:21  shadzik
- 2.8.2.2

Revision 1.135  2006/08/03 17:24:00  dzeus
- up to 2.8.2.1

Revision 1.134  2006/06/30 17:21:24  adamg
- updated to 2.8.2
[fixes CVE-2006-3388]

Revision 1.133  2006/05/22 09:16:37  qboosh
- unified

Revision 1.132  2006/05/22 09:05:45  qboosh
- added CVE notes to rev. 1.126, 1.127, 1.130 commit messages

Revision 1.131  2006/05/21 06:50:24  paszczus
- updated to 2.8.1 (minor security fixes)

Revision 1.130  2006/05/14 20:06:16  dzeus
- up to 2.8.0.4 (security fixes)
[fixes CVE-2006-2031 CVE-2006-2417 CVE-2006-2418]

Revision 1.129  2006/04/07 07:39:15  dzeus
- rel. down to 1, rm outdated comment

Revision 1.128  2006/04/06 21:22:26  glen
- rel 2 for the blind

Revision 1.127  2006/04/06 20:06:33  dzeus
- up to 2.8.0.3
[fixes CVE-2006-1678]

Revision 1.126  2006/03/17 09:20:38  dzeus
- up to 2.8.0.2, added /libraries/fpdf
[fixes CVE-2006-1258]

Revision 1.125  2006/03/15 11:05:28  dzeus
- added missing js dir

Revision 1.124  2006/03/15 10:39:32  dzeus
- realy up to 2.8.0.1

Revision 1.123  2006/03/10 14:32:29  spider
- up to 2.8.0.1
- please check it

Revision 1.122  2006/02/03 16:52:07  baggins
- release 4

Revision 1.121  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.120  2006/01/04 14:01:33  glen
- use %service in trigger to respect skip auto restarts of services; rel 3

Revision 1.119  2006/01/03 10:53:38  kosmo
- pack more files.

Revision 1.118  2005/12/28 11:06:17  dzeus
- up to 2.7.0-pl2

Revision 1.117  2005/12/25 18:49:14  glen
- rel 3

Revision 1.116  2005/12/25 18:47:32  glen
- use webapps
- remove duplicate scripts packaging (kills perl extra dep)

Revision 1.115  2005/12/19 20:29:33  glen
- nicer version. add info about Ra

Revision 1.114  2005/12/19 20:21:34  hawk
- updated to 2.7.0-pl1

Revision 1.113  2005/12/14 10:37:42  qboosh
- cleanup; php-mbstring can be suggested in future

Revision 1.112  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.111  2005/11/15 22:02:34  paszczus
- updated to 2.6.4-2.pl4

Revision 1.110  2005/10/23 07:44:04  dzeus
- up to 2.6.4-pl3 (security) STBR

Revision 1.109  2005/10/12 07:03:41  adamg
- dropping ToDo - it looks like that security announce is related only
  to gentoo-specific script.

Revision 1.108  2005/10/12 06:51:50  paszczus
- updated to 2.6.4pl2 (security release)
- not removing TODO cause i`m not sure is that one is fixed
- release 2 ; release 1 is for Ra

Revision 1.107  2005/09/20 15:00:04  hawk
- release 2 (1 is for Ra)

Revision 1.106  2005/09/17 21:14:30  dzeus
- up to 2.6.4-pl1

Revision 1.105  2005/09/11 07:29:43  paszczus
- updated to FINAL 2.6.4 ; STBR

Revision 1.104  2005/08/31 19:34:05  dzeus
- up to 2.6.4-rc1

Revision 1.103  2005/08/05 15:02:48  hawk
- release 2 (1 for Ra)

Revision 1.102  2005/07/07 06:56:04  dzeus
- up to 2.6.3-pl1

Revision 1.101  2005/07/04 08:59:52  dzeus
- up to final 2.6.3, STBR

Revision 1.100  2005/06/17 13:22:53  dzeus
- up to 2.6.3rc1, works for me

Revision 1.99  2005/05/24 06:32:48  dzeus
- rel 3, STBR (pl1 > rc1)

Revision 1.98  2005/05/06 09:14:41  dzeus
- up to 2.6.2-pl1

Revision 1.97  2005/05/01 09:38:12  glen
- GLSA 200504-30 TODO

Revision 1.96  2005/04/17 11:30:12  hawk
- release 2 (1 is for Ra)

Revision 1.95  2005/04/17 07:42:03  paszczus
- updated to 2.6.2

Revision 1.94  2005/04/12 21:59:13  paszczus
- adaptarized

Revision 1.93  2005/04/04 15:02:56  hawk
- builds, works, release 2.rc1.1 (1.rc1.1 will be for Ra)

Revision 1.92  2005/04/04 14:47:28  adamg
- updated to 2.6.2-rc1

Revision 1.91  2005/03/04 17:07:30  charles
- updated to 2.6.1-pl3 (security fixes)

Revision 1.90  2005/02/25 18:59:00  adamg
- updated to 2.6.1-pl2 (XSS fixes)

Revision 1.89  2005/01/24 19:42:51  hawk
- release 3 (2 for RA)

Revision 1.88  2005/01/24 12:38:32  paszczus
- updated to FINAL 2.6.1; STBR

Revision 1.87  2005/01/10 08:39:58  dzeus
- up to 2.6.1-rc2

Revision 1.86  2004/12/13 17:05:41  adamg
- updated to 2.6.1-rc1 (CAN-2004-1147, CAN-2004-1148)

Revision 1.85  2004/12/07 12:56:42  blues
- let it be newer than RA...

Revision 1.84  2004/11/27 13:05:27  havner
- cleanups

Revision 1.83  2004/11/20 08:11:50  havner
- what do you do with theses releases? rules are clear

Revision 1.82  2004/11/20 07:36:56  dzeus
- up to 2.6.0-pl3 - fixes XSS vulnerabilities - SECURITY STBR

Revision 1.81  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.80  2004/10/29 22:52:56  qboosh
- pl fixes

Revision 1.79  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.78  2004/10/19 11:43:40  blues
- release 3

Revision 1.77  2004/10/13 16:48:18  dzeus
- up to 2.6.0-pl2  (security fixes)

Revision 1.76  2004/10/07 14:25:42  qboosh
- simplified prep

Revision 1.75  2004/09/28 20:03:32  dzeus
- updated to version 2.6.0 final

Revision 1.74  2004/09/27 20:51:18  blues
- release 3 - fixed pre/post

Revision 1.73  2004/09/07 16:09:10  djurban
- updated to 2.6.0-rc please note two things (please comment):
  1.) blowfish phrase is now required for cookie auth, pelase set it independently
  in /etc/phpMyAdmin/config.inc.php (not sure if the package should contan a default phrase
  the good thing about that is: works out of the box, bad: insecure
  2.) PMAbsoluteUri should be set as well (at least here the autodetection mechanism failed),
  it is default in PLD for http://<yourwebdomain>/myadmin
  again not sure if this should be added in the config file by packager or not

Revision 1.72  2004/08/11 21:40:48  blues
- more macros in pre/post

Revision 1.71  2004/07/21 20:16:22  twittner
- reverted changes related to release-patchlevel issue to avoid bumping
  Epoch.

Revision 1.70  2004/07/21 14:05:35  twittner
- fixed %post - make symlinks rather than move files
  already matched by %files (noticed by qboosh).
- fixed release: 2.pl1 -> pl1.1 ; bumped Epoch (1)

Revision 1.69  2004/07/16 09:15:50  blues
- release 2 for AC (rel.1 for RA to security)

Revision 1.68  2004/07/10 09:20:39  adamg
- updated to 2.5.7-pl1

Revision 1.67  2004/06/09 16:55:36  paszczus
- updated to 2.5.7

Revision 1.66  2004/03/01 17:57:02  adamg
- arghhh! correct Source0-md5

Revision 1.65  2004/03/01 17:56:10  adamg
- updated to 2.5.6

Revision 1.64  2004/02/24 09:30:58  mwinkler
- todo clean

Revision 1.63  2004/02/16 15:05:55  qboosh
- macro fix

Revision 1.62  2004/02/16 14:57:54  qboosh
- removed unused pearprov BR

Revision 1.61  2004/02/16 06:37:44  adamg
- updated to 2.5.6-rc2

Revision 1.60  2004/02/15 00:17:20  zergin
- modified %post, %preun to suit apache/apache2 conf dir and
  phpMyAdmin.conf

Revision 1.59  2004/02/13 15:45:19  ankry
- rel .3 (.2 is for ra)

Revision 1.58  2004/02/07 16:52:50  ankry
- spaces -> tabs

Revision 1.57  2004/02/07 07:40:22  orzech
- up to 2.5.6-rc1 (sec update in export.php)

Revision 1.56  2004/01/30 01:18:55  twittner
- changed R: s/perl/perl-base/ .
- added missing scripts directory to docs.
- note about phpMyAdmin.conf wrong location.

Revision 1.55  2004/01/05 13:07:55  adamg
- updated to 2.5.5-pl1

Revision 1.54  2003/12/29 00:07:10  adamg
- updated to 2.5.5
- fixed Source0 URL (php3 is no longer supported)
- removed obsolete badwords.txt and ANNOUNCE.txt files
- updated -config.patch

Revision 1.53  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.52  2003/10/19 21:06:57  adamg
- updated to 2.5.4

Revision 1.51  2003/10/09 08:47:23  adamg
- updated to 2.5.4-rc2

Revision 1.50  2003/10/03 21:20:05  adamg
- updated to 2.5.4-rc1
- small updates to %doc

Revision 1.49  2003/09/30 21:24:49  blues
- release 3 - trigger home/services too

Revision 1.48  2003/09/20 22:28:46  orzech
- one more fix in trigger

Revision 1.47  2003/09/20 22:22:01  orzech
- simplified trigger

Revision 1.46  2003/09/20 18:33:46  blues
- release 2.9 - make fine trigger that changes path to myadmin in all files
  from http

Revision 1.45  2003/09/11 15:07:52  orzech
- release 2: /home/services is gone, works for me

Revision 1.44  2003/09/11 12:56:47  qboosh
- fixed release

Revision 1.43  2003/09/11 12:55:11  adamg
- updated to 2.5.3

Revision 1.42  2003/08/31 10:39:57  adamg
- updated to 2.5.3-rc3

Revision 1.41  2003/07/31 07:30:12  adamg
- updated to 2.5.3-rc1

Revision 1.40  2003/07/22 20:17:20  adamg
- updated to 2.5.2

Revision 1.39  2003/07/15 11:09:43  blues
- php-pcre is needed

Revision 1.38  2003/07/15 10:52:08  blues
- Release 2 - mysql is not required, php-mysql is sufficent

Revision 1.37  2003/07/14 11:49:08  adamg
- updated to 2.5.2-rc2

Revision 1.36  2003/07/12 18:04:04  orzech
- release 3: added missing dir/files

Revision 1.35  2003/07/09 18:24:31  mwinkler
- BR:rpm-php-pearprov

Revision 1.34  2003/07/09 07:45:46  blues
- release 2 - added missing css (now it looks fine)

Revision 1.33  2003/07/07 21:06:24  misi3k
- rel 0.rc1.1
- updated to 2.5.2rc1

Revision 1.32  2003/06/02 15:19:22  adamg
- updated to 2.5.1

Revision 1.31  2003/05/28 08:30:51  adamg
- added Source0-md5

Revision 1.30  2003/05/25 06:25:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/05/12 08:28:08  djrzulf
- z wersji na wersje jest coraz lepszy =),
- Release 1,
- STBR,

Revision 1.28  2003/05/12 07:28:31  misi3k
- updated to 2.5.0

Revision 1.27  2003/05/12 06:59:06  djrzulf
- added missing Requires,

Revision 1.26  2003/04/16 22:58:26  djrzulf
- turned cookie auth

Revision 1.25  2003/04/16 12:09:59  djrzulf
- added patch0 (changes auth from config to http)
- release 2

Revision 1.24  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.23  2003/02/25 18:07:33  pbern
- update to 2.4.0

Revision 1.22  2002/12/12 21:52:53  ppv
- update ("This version contains the messages that were omitted in some language files.")

Revision 1.21  2002/12/06 21:41:39  orzech
- /home/httpd -> /home/services/httpd

Revision 1.20  2002/10/16 12:16:25  ppv
- new version [bugfixes, improvements]
- release 1
- STBR

Revision 1.19  2002/10/01 18:45:42  ppv
- updated to version 2.3.1
- changed URL:
- STBR

Revision 1.18  2002/08/27 10:42:15  qboosh
- fixed build (config.inc.php was listed twice)

Revision 1.17  2002/08/21 20:57:03  kloczek
- updated to 2.3.0,
- use new %doc,
- include all files in %{_myadmindir} (sugested by Krzysztof Pobieżyński
  <ppv@wiedzmin.org>).

Revision 1.16  2002/04/22 08:56:30  pioklo
- up to 2.2.6 ,STBR

Revision 1.15  2002/03/23 10:43:49  kloczek
- updated to 2.2.4.

Revision 1.14  2002/02/24 23:32:03  kloczek
- remove empty %build and simplifications in %install.

Revision 1.13  2002/02/24 18:27:20  blues
- 2.2.4
- STBR

Revision 1.12  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:14:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/11 09:08:56  tiwek
- added libraries/auth to files
- STBR

Revision 1.8  2002/01/07 09:41:02  kloczek
- updated to 2.2.3 (bugfixes but also some improvements like remove require
  php-pcre module and some other importand thigs).

Revision 1.7  2001/12/02 10:01:18  kloczek
- release 3.

Revision 1.6  2001/11/28 16:24:57  orzech
- Requires: php-mysql (not php)

Revision 1.5  2001/11/07 07:56:26  orzech
- rel. 2, STBR ASAP (security fix on config.inc.php)

Revision 1.4  2001/11/07 07:48:33  orzech
- %attr(640,root,http) %verify(not size mtime md5) to config.inc.php -
  this file contains username/password, shouldn't be world-readable

Revision 1.3  2001/11/07 01:19:56  kloczek
- removed http.http on all files,
- cosmetics.

Revision 1.2  2001/11/01 14:44:59  blues
- 2.2.1
- License - GPL v2
- some changes in install and files
- STB - Security update

Revision 1.1  2001/09/10 20:05:36  blues
- initial version
